Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1086217 - Review Request: nodejs-strip-json-comments - Strip comments from JSON
Summary: Review Request: nodejs-strip-json-comments - Strip comments from JSON
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-04-10 11:41 UTC by anish
Modified: 2015-12-28 21:27 UTC (History)
7 users (show)

Fixed In Version: nodejs-strip-json-comments-0.1.3-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 14:23:38 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description anish 2014-04-10 11:41:12 UTC
Spec URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments.spec
SRPM URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments-0.1.1-1.fc20.src.rpm
Description: Strip comments from JSON. Lets you use comments in your JSON files!
Fedora Account System Username: anishpatil

Comment 1 Tom Hughes 2014-04-16 17:50:18 UTC
Preliminary comments:

* Needs an ExclusiveArch: %{nodejs_arches} noarch

* The second %setup is not needed

* You're installing cli.js twice, once with the cp then overwriting
  it with the install

* Is there a reason for adding the -nodejs suffix to the installed binary?

* Need to ask upstream to add a proper copy of the license, and add one
  yourself until then

Comment 2 anish 2014-05-07 10:02:15 UTC
Hi Tom Hughes!

Thank you for package review and review comments, I have incorporated all the comments please find new spec and SRPM file on


Spec URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments.spec


SRPM URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments-0.1.1-2.fc20.src.rpm

Comment 3 Tom Hughes 2014-05-11 12:39:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
======

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

- You should ask upstream to include the licese file.

[!]: Latest version is packaged.

- Version 0.1.2 has been release.

[!]: %check is present and all tests pass.

- There are some tests (the test.js file) upstream but they're not
  in the npm tar ball, so you should probably either include them as
  a separate source file, or package from github so that you can run
  them in the %check section.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-strip-json-comments-0.1.1-2.fc21.noarch.rpm
          nodejs-strip-json-comments-0.1.1-2.fc21.src.rpm
nodejs-strip-json-comments.noarch: W: only-non-binary-in-usr-lib
nodejs-strip-json-comments.noarch: W: no-manual-page-for-binary strip-json-comments
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-strip-json-comments
nodejs-strip-json-comments.noarch: W: only-non-binary-in-usr-lib
nodejs-strip-json-comments.noarch: W: no-manual-page-for-binary strip-json-comments
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-strip-json-comments (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-strip-json-comments:
    nodejs-strip-json-comments
    npm(strip-json-comments)



Source checksums
----------------
http://registry.npmjs.org/strip-json-comments/-/strip-json-comments-0.1.1.tgz :
  CHECKSUM(SHA256) this package     : fc9e140bdda44c580b27afa40a4574da6d7e2335e70d86eb0cd8a2c8afcce617
  CHECKSUM(SHA256) upstream package : fc9e140bdda44c580b27afa40a4574da6d7e2335e70d86eb0cd8a2c8afcce617


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1086217
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 anish 2014-05-28 09:25:10 UTC
Hi Tom Hughes!

Thank you for package review and review comments, I have incorporated few the comments please find new spec and SRPM file on


Spec URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments.spec


SRPM URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments-0.1.2-3.fc20.src.rpm

I have created upstream bug for inclusion of license,https://github.com/sindresorhus/strip-json-comments/issues/5

I have included test.js because test cases are broken that is why they have not included in release, i have created bug for that as well

https://github.com/sindresorhus/strip-json-comments/issues/6

Comment 5 Tom Hughes 2014-05-28 19:13:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-strip-json-comments-0.1.2-3.fc21.noarch.rpm
          nodejs-strip-json-comments-0.1.2-3.fc21.src.rpm
nodejs-strip-json-comments.noarch: W: only-non-binary-in-usr-lib
nodejs-strip-json-comments.noarch: W: no-manual-page-for-binary strip-json-comments
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-strip-json-comments
nodejs-strip-json-comments.noarch: W: only-non-binary-in-usr-lib
nodejs-strip-json-comments.noarch: W: no-manual-page-for-binary strip-json-comments
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-strip-json-comments (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-strip-json-comments:
    nodejs-strip-json-comments
    npm(strip-json-comments)



Source checksums
----------------
http://registry.npmjs.org/strip-json-comments/-/strip-json-comments-0.1.2.tgz :
  CHECKSUM(SHA256) this package     : a42668156d5ce1315db072aebc93adeb6733a46a9b74eb853d20ecb128bcda3e
  CHECKSUM(SHA256) upstream package : a42668156d5ce1315db072aebc93adeb6733a46a9b74eb853d20ecb128bcda3e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1086217
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Tom Hughes 2014-05-28 19:14:17 UTC
Upstream has released 0.1.3 now, which adds the license file. Once you've updated to that I think this is good to go.

Comment 7 anish 2014-06-04 07:37:01 UTC
Hi  Tom Hughes!

Thank you for your review comments, please find new SRPMS and spec file on 

Spec URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments.spec


SRPM URL: http://anishpatil.fedorapeople.org/nodejs-strip-json-comments-0.1.3-4.fc20.src.rpm

Comment 8 Tom Hughes 2014-06-04 08:08:08 UTC
That looks great now. Package is approved.

Comment 9 anish 2014-06-04 08:18:22 UTC
New Package SCM Request
=======================
Package Name: nodejs-strip-json-comments
Short Description: strip comments from json 
Owners: anishpatil
Branches: f20

Comment 10 Gwyn Ciesla 2014-06-04 10:04:37 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-06-04 11:54:09 UTC
nodejs-strip-json-comments-0.1.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-strip-json-comments-0.1.3-4.fc20

Comment 12 Fedora Update System 2014-06-05 04:21:22 UTC
nodejs-strip-json-comments-0.1.3-4.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-08-08 08:40:37 UTC
nodejs-strip-json-comments-0.1.3-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Parag Nemade 2014-12-07 13:25:51 UTC
Hi Anish,
  Please add el6 and epel7 branches by requesting here Package Change Request.

Thanks.

Comment 15 anish 2014-12-08 06:26:39 UTC
Package Change Request
======================
Package Name: nodejs-strip-json-comments
New Branches: el6 epel7 
Owners: anishpatil
InitialCC: i18n-team

Comment 16 Gwyn Ciesla 2014-12-08 13:41:33 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2014-12-09 05:09:26 UTC
nodejs-strip-json-comments-1.0.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-strip-json-comments-1.0.2-1.el7

Comment 18 Fedora Update System 2015-12-28 21:27:22 UTC
nodejs-strip-json-comments-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.